Skip to main content
POST
Create a saved prompt

Authorizations

Authorization
string
header
required

Body

application/json
name
string
required

A name for the prompt, unique within your account. Up to 128 characters, starting with a letter or number and containing only letters, numbers, ., _ and -.

Maximum string length: 128
Pattern: ^[A-Za-z0-9][A-Za-z0-9._-]*$
Example:

"call-summary"

prompt
string
required

The prompt, as a JSON string of a chat completions request body. It's validated the way a chat completions request is, and can be up to 50 KiB. Use {{ tag }} placeholders in message content to fill in values per request with prompt_replacements.

Response

The saved prompt.

name
string
required

The name of the prompt.

prompt
string
required

The prompt, as a JSON string of a chat completions request body.

created_at
string<date-time>
required

When the prompt was created.

updated_at
string<date-time>
required

When the prompt was last updated.